package com.sec.cloudprint.extrarequest.plugin;

import com.sec.cloudprint.extrarequest.plugin.ISCPCallback;
import com.sec.cloudprint.extrarequest.plugin.SCPPrinter;
import com.sec.cloudprint.extrarequest.plugin.SCPPrinterCapability;
import com.sec.cloudprint.extrarequest.plugin.SCPPrintOptions;


/**
 * The Service contract that needs to be implemented by a Service class in the SCP, SCP Enterprise, SCP Host.
 * The implementing Service should handle intent <b>com.sec.cloudeprint.SHARE_DATA</b>
 * in its intent filter. 
 *  
 * 
 * @author Naveen.mah
 *
 */
interface ISCPService4Plugin{

	void getPrinterList(in ISCPCallback callback); 
	
	void getPrinterCapability(in String agentID, in String username, in ISCPCallback callback);
	
	//void setCapability(in String agentId, in String mediaSize, in String duplex, in boolean color);
	
	void submitJob (in String agentID, in String userName, in SCPPrintOptions printOptions, in String filePath, in ISCPCallback callback);
	
	void cancelPrintJob();
	
}