package com.sec.cloudprint.jobmanager;

import com.sec.cloudprint.jobmanager.JobData;

/**
* Receives printing status message.
*
* <br/>
* <br/>
* Copyright 2010 by Samsung Electronics, Inc.,
*
* This software is the confidential and proprietary information
* of Samsung Electronics, Inc., (Confidential Information).
* You shall not disclose such Confidential Information and 
* shall use it only in accordance with the terms of the license
* agreement you entered into with Samsung.
*/
interface IJobStatusCallback
{
	/**
	* Notify the job status message.
	*
	* [statusID]
	* 1 - Add new Job
	* 2 - Removed Job
	* 3 - Printing Job
	* 4 - resumed Job
	* 5 - stopped Job
	* 6 - completed Job
	* 7 - error
	*  <br>
	*
	* @param	jobID - job id
	* @param	statusID - Reports the progress in the status type.
	*/
	void updateJobStatus(in int jobID, in int state);
	void updatePrinterStatus(in int jobID, in String displayMessage);
	void updatePrintingStatus(in int jobID, in String displayMessage);
	void updateChangedPriority();
}
